# -*- coding:Utf-8 -*-
class Teglalap:
    "téglalap-osztály"
    def __init__(self, hossz =30, szelesseg =15):
        self.L = hossz
        self.l = szelesseg
        self.nev ="teglalap"

    def kerulet(self):
        return "(%s + %s) * 2 = %s" % (self.L, self.l, 
                                            (self.L + self.l)*2)
    def terulet(self):
        return "%s * %s = %s" % (self.L, self.l, self.L*self.l)

    def meretek(self):
        print "Egy %s x %s -as %s" % (self.L, self.l, self.nev)
        print "területe %s" % (self.terulet(),)
        print "kerülete %s\n" % (self.kerulet(),)

class Negyzet(Teglalap):
    "Négyzet-osztály"
    def __init__(self, oldal =10):
        Teglalap.__init__(self, oldal, oldal)
        self.nev ="négyzet"

if __name__ == "__main__":
    r1 = Teglalap(15, 30)
    r1.meretek()    
    c1 = Negyzet(13)
    c1.meretek()